Run Amazon Seller Products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-amazon-seller-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "A2L77EE7U53NWQ",
"count": 2,
"domain": "amazon.com"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-amazon-seller-products"
payload = {
"seller": "A2L77EE7U53NWQ",
"count": 2,
"domain": "amazon.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: 'A2L77EE7U53NWQ', count: 2, domain: 'amazon.com'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-amazon-seller-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "01010101-0101-0101-0101-010101010101",
"kind": "amazon_seller_products",
"seller": "A2L77EE7U53NWQ",
"domain": "amazon.com",
"count": 2,
"human": "# Amazon seller products\n\n- **Seller ID:** A2L77EE7U53NWQ\n- **Domain:** amazon.com\n- **Requested count:** 2\n- **Records returned:** 2\n- **Page weight:** 2.74 MB",
"machine": {
"total_items": 2,
"items": [
{
"id": "B004YAVF8I",
"url": "https://www.amazon.com/dp/B004YAVF8I",
"price": 13.97,
"currency": "$",
"list_price": 17.99,
"rating": 4.4,
"review_count": 44844,
"image": "https://m.media-amazon.com/images/I/51WN5aXZWIL._AC_UY218_.jpg",
"is_sponsored": false,
"is_prime": true
},
{
"id": "B07CMS5Q6P",
"url": "https://www.amazon.com/dp/B07CMS5Q6P",
"price": 29.99,
"currency": "$",
"list_price": null,
"rating": 4.6,
"review_count": 39848,
"image": "https://m.media-amazon.com/images/I/51sg9BLSMTL._AC_UY218_.jpg",
"is_sponsored": false,
"is_prime": true
}
],
"page_weight_bytes": 2872110
},
"total_points": 5
}Data Sources
Run Amazon Seller Products
Lists products sold by an Amazon seller’s storefront: title, URL, price, rating, and image.
POST
/
functions
/
v1
/
run-amazon-seller-products
Run Amazon Seller Products
